<?php

$languageNames = [

	/** Not in CLDR34.
	 * But Wikipedias in these languages exist and/or used by Wikidata for monolingual text
	 */
	'abe' => 'Westliches Abenaki',
	'abs' => 'Ambonesisches Malaysisch',
	'abq' => 'Abasinisch', # used by Wikidata, T155367
	'abq-latn' => 'Abasinisch', # used by Wikidata, T155424
	'ady-cyrl' => 'Adygeisch (kyrillisch Schrift)',
	'aeb-arab' => 'Tunesisches Arabisch (arabische Schrift)',
	'aeb-latn' => 'Tunesisches Arabisch (lateinische Schrift)',
	'alc' => 'Kawesqar', # used by Wikidata, T190981
	'ami' => 'Amisisch',
	'azb' => 'Südaserbaidschanisch',
	'bat-smg' => 'Schemaitisch',
	'bbc-latn' => 'Batak Toba (lateinische Schrift)',
	'bcc' => 'Südliches Belutschi',
	'bcl' => 'Zentralbikolano',
	'bdr' => 'Westküsten-Bajau', # used by Wikidata, T234330
	'be-tarask' => 'Weißrussisch (Taraschkewiza)',
	'be-x-old' => 'Weißrussisch (Taraschkewiza)', # still the internal code of be-tarask.wikipedia.org
	'bgp' => 'Östliches Belutschi',
	'bh' => 'Bhojpuri',
	'bnn' => 'Bunun',
	'bxr' => 'Russisches Burjatisch',
	'cbk-zam' => 'Chavacano',
	'cdo' => 'Min Dong',
	'cja-arab' => 'Westliches Cham (arabische Schrift)',
	'cja-cham' => 'Westliches Cham (Cham-Schrift)',
	'cja-latn' => 'Westliches Cham (lateinische Schrift)',
	'cja' => 'Westliches Cham',
	'cjm-arab' => 'Östliches Cham (arabische Schrift)',
	'cjm-cham' => 'Östliches Cham (Cham-Schrift)',
	'cjm-latn' => 'Östliches Cham (lateinische Schrift)',
	'cjm' => 'Östliches Cham',
	'cjy-hans' => 'Jin (vereinfacht)',
	'cjy-hant' => 'Jin (traditionell)',
	'cjy' => 'Jin',
	'ckt' => 'Tschuktschisch', # used by Wikidata, T240097
	'clc' => 'Tschilcotin', # used by Wikidata, T222020
	'cnr' => 'Montenegrinisch',
	'crb' => 'Insel-Karibisch',
	'crh-cyrl' => 'Krimtatarisch (kyrillische Schrift)',
	'crh-latn' => 'Krimtatarisch (lateinische Schrift)',
	'crh' => 'Krimtatarisch',
	'dag' => 'Dagbani', # used by Wikidata, T240098
	'de-formal' => 'Deutsch (Sie-Form)',
	# 'dlc' => 'Dalecarlian', // German translation unassured
	'dty' => 'Doteli', // https://d-nb.info/gnd/7543852-5
	'eml' => 'Emilianisch',
	'el-cy' => 'Zypriotisches Griechisch', # used by Wikidata, T198674
	'en-ca' => 'Kanadisches Englisch',
	'en-gb' => 'Britisches Englisch',
	'en-uk' => 'Britisches Englisch',
	'en-us' => 'Amerikanisches Englisch',
	'ett' => 'Etruskisch',
	'fkv' => 'Kvenisch',
	'fr-ca' => 'Kanadisches Französisch',
	'fr-ch' => 'Schweizer Französisch',
	# 'fuf' => 'Pular', // German translation unassured
	'gan-hans' => 'Gan (Vereinfachte Schrift)',
	'gan-hant' => 'Gan (Traditionelle Schrift)',
	'gcr' => 'Französisch-Guayana Kreolisch',
	'gmy' => 'Mykenisches Griechisch',
	'gom-deva' => 'Goa-Konkani (Devanagari)',
	'gom-latn' => 'Goa-Konkani (lateinische Schrift)',
	'haz' => 'Hazaragi',
	'hbo' => 'Biblisches Hebräisch',
	'hif-latn' => 'Fidschi-Hindi (lateinische Schrift)',
	'hif' => 'Fidschi-Hindi',
	'hyw' => 'Westarmenisch',
	'ike-cans' => 'Inuktitut (kanadische Silbenschrift)',
	'ike-latn' => 'Inuktitut (lateinische Schrift)',
	'kbd-cyrl' => 'Kabardinisch (kyrillische Schrift)',
	'kbp' => 'Kabiyé',
	'kjh' => 'Chakassisch',
	'kjp' => 'Östliches Pwo',
	'kk-arab' => 'Kasachisch (arabische Schrift)',
	'kk-cn' => 'Kasachisch (China)',
	'kk-cyrl' => 'Kasachisch (kyrillische Schrift)',
	'kk-kz' => 'Kasachisch (Kasachstan)',
	'kk-latn' => 'Kasachisch (lateinische Schrift)',
	'kk-tr' => 'Kasachisch (Türkei)',
	'kld' => 'Kamilaroi', # used by Wikidata, T198366
	# 'knn' => 'Maharashtrian Konkani', // German translation unassured
	'ko-kp' => 'Koreanisch (Nordkorea)',
	'koy' => 'Koyukon',
	'ks-arab' => 'Kashmiri (arabische Schrift)',
	'ks-deva' => 'Kashmiri (Devanagari)',
	'ku-arab' => 'Kurdisch (arabische Schrift)',
	'ku-latn' => 'Kurdisch (lateinische Schrift)',
	'lbe' => 'Lakisch',
	'lcm' => 'Tungag', # used by Wikidata, T234761
	'lki' => 'Leki',
	'lld' => 'Ladinisch',
	'luz' => 'Südliches Lori',
	'map-bms' => 'Banyumasan',
	'mfa' => 'Pattani-Malaiisch', # used by Wikidata, T235468
	'mhr' => 'Ostmari',
	'mid' => 'Mandäisch',
	'mis' => 'nicht unterstützte Sprache',
	'mo' => 'Moldawisch',
	'moe' => 'Innu',
	'mui' => 'Musi',
	'nah' => 'Nahuatl',
	'nod' => 'Lanna',
	'nrf-gg' => 'Guernésiais', # used by Wikidata T165648
	'nrf-je' => 'Jèrriais', # used by Wikidata T165648
	'nrm' => 'Normannisch',
	'nsk' => 'Naskapi',
	'nxm' => 'Numidisch',
	# 'nys' => 'Nyunga', // German translation unassured
	'olo' => 'Olonetzisch',
	'otk' => 'Alttürkisch',
	'pi-sidd' => 'Pali (Siddham-Schrift)', # used by Wikidata T230881
	'pih' => 'Pitcairn-Englisch',
	'pnb' => 'Westliches Panjabi',
	# 'ppu' => 'Papora-Hoanya', // German translation unassured
	'prs' => 'Dari',
	'pt-br' => 'Brasilianisches Portugiesisch',
	# 'pwn' => 'Paiwan', // German translation unassured
	# 'pyu' => 'Puyuma', // German translation unassured
	'qya' => 'Quenya', # used by Wikidata, T185194
	'rm-puter' => 'Oberengadinisch',
	'rm-rumgr' => 'Rumantsch Grischun',
	'rm-surmiran' => 'Surmeirisch',
	'rm-sursilv' => 'Surselvisch',
	'rm-sutsilv' => 'Sutselvisch',
	'rm-vallader' => 'Vallader',
	'rmc' => 'Karpathen-Romani', # T223524
	'rmf' => 'Finnisches Romani', # T223524
	'rmg' => 'Skandinavisches Romani', # T223524
	'rml' => 'Baltisches Romani', # T223524
	'rmn' => 'Balkan-Romani', # T223524
	'rmo' => 'Sinte-Romani', # T223524
	'rmw' => 'Welsh-Roman', # T223524
	'rmy' => 'Vlax-Romani', # T223524
	'roa-rup' => 'Aromunisch',
	'roa-tara' => 'Tarandíne',
	'ruq-cyrl' => 'Meglenorumänisch (kyrillische Schrift)',
	'ruq-grek' => 'Meglenorumänisch (griechische Schrift)',
	'ruq-latn' => 'Meglenorumänisch (lateinische Schrift)',
	'ruq' => 'Meglenorumänisch',
	'rwr' => 'Marwari (Indien)',
	'sa-sidd' => 'Sanskrit (Siddham-Schrift)', # used by Wikidata T230881
	'shi-latn' => 'Taschelhit (lateinische Schrift)',
	'shi-tfng' => 'Taschelhit (Tifinagh-Schrift)',
	'shy-arab' => 'Shawiya (arabische Schrift)',
	'shy-latn' => 'Shawiya (lateinische Schrift)',
	'shy-tfng' => 'Shawiya (Tifinagh-Schrift)',
	'shy' => 'Shawiya',
	'sia' => 'Akkalasamisch', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'simple' => 'einfaches Englisch',
	'sjd' => 'Kildinsamisch',
	'sje' => 'Pitesamisch',
	'sjk' => 'Kemisamisch', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjn' => 'Sindarin', # used by Wikidata, T185194
	'sjt' => 'Tersamisch', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sju' => 'Umesamisch',
	'skr' => 'Saraiki',
	'skr-arab' => 'Saraiki (arabische Schrift)',
	'sr-ec' => 'Serbisch (kyrillische Schrift)',
	'sr-el' => 'Serbisch (lateinische Schrift)',
	# 'srq' => 'Sirionó', // German translation unassured
	'ssf' => 'Thao',
	'tg-cyrl' => 'Tadschikisch (kyrillische Schrift)',
	'tg-latn' => 'Tadschikisch (lateinische Schrift)',
	# 'tlb' => 'Tobelo', // German translation unassured
	'tnq' => 'Taíno', # used by Wikidata T220284
	'tt-cyrl' => 'Tatarisch (kyrillische Schrift)',
	'tt-latn' => 'Tatarisch (lateinische Schrift)',
	'tzl' => 'Talossanisch',
	'ug-arab' => 'Uigurisch (arabische Schrift)',
	'ug-latn' => 'Uigurisch (lateinische Schrift)',
	'umu' => 'Munsee',
	'uun' => 'Pazeh',
	'uz-cyrl' => 'Usbekisch (kyrillische Schrift)',
	'uz-latn' => 'Usbekisch (lateinische Schrift)',
	'wls' => 'Wallisianisch', # used by Wikidata, T239411
	'xpu' => 'Punisch',
	'xsy' => 'Saisiyat', # https://d-nb.info/gnd/1075555310
	'ydd' => 'Ost-Jiddisch',
	'zh-classical' => 'klassisches Chinesisch',
	'zh-cn' => 'Chinesisch (China)',
	'zh-hk' => 'Chinesisch (Hongkong)',
	'zh-min-nan' => 'Chinesisch (Min Nan)',
	'zh-mo' => 'Chinesisch (Macau)',
	'zh-my' => 'Chinesisch (Malaysia)',
	'zh-sg' => 'Chinesisch (Singapur)',
	'zh-tw' => 'Chinesisch (Taiwan)',
	'zh-yue' => 'Kantonesisch',
];
