<?php

$languageNames = [
	# Not in CLDR 34. Used for MediaWiki localisation
	'abe' => 'Western Abenaki',
	'abq' => 'Abaza', # used by Wikidata, T155367
	'abq-latn' => 'Abaza', # used by Wikidata, T155424
	'abs' => 'Ambonese Malay',
	'ady-cyrl' => 'Adyghe (Cyrillic script)',
	'aeb-arab' => 'Tunisian Arabic (Arabic script)',
	'aeb-latn' => 'Tunisian Arabic (Latin script)',
	'alc' => 'Kawésqar', # used by Wikidata, T190981
	'ami' => 'Amis',
	'azb' => 'South Azerbaijani',
	'bat-smg' => 'Samogitian',
	'bbc-latn' => 'Batak Toba (Latin script)',
	'bcc' => 'Southern Balochi',
	'bcl' => 'Central Bikol',
	'be-tarask' => 'Belarusian (Taraškievica orthography)',
	'be-x-old' => 'Belarusian (Taraškievica orthography)', # internal code of be-tarask.wikipedia.org
	'bgp' => 'Eastern Balochi',
	'bh' => 'Bhojpuri',
	'bnn' => 'Bunun',
	'bdr' => 'West Coast Bajau', # used by Wikidata, T234330
	'bxr' => 'Russia Buriat',
	'cbk-zam' => 'Chavacano',
	'cdo' => 'Min Dong Chinese',
	'cja' => 'Western Cham',
	'cja-cham' => 'Western Cham (Cham script)',
	'cja-latn' => 'Western Cham (Latin script)',
	'cja-arab' => 'Western Cham (Arabic script)',
	'cjm' => 'Eastern Cham',
	'cjm-cham' => 'Eastern Cham (Cham script)',
	'cjm-latn' => 'Eastern Cham (Latin script)',
	'cjm-arab' => 'Eastern Cham (Arabic script)',
	'cjy' => 'Jinyu',
	'cjy-hans' => 'Jinyu (Simplified)',
	'cjy-hant' => 'Jinyu (Traditional)',
	'ckt' => 'Chukchi', # used by Wikidata, T240097
	'clc' => 'Chilcotin', # used by Wikidata, T222020
	'cnr' => 'Montenegrin',
	'crb' => 'Island Carib', # used by Wikidata, T220284
	'crh-cyrl' => 'Crimean Tatar (Cyrillic script)',
	'crh-latn' => 'Crimean Tatar (Latin script)',
	'dag' => 'Dagbani', # used by Wikidata, T240098
	'de-formal' => 'German (formal address)',
	'dlc' => 'Dalecarlian',
	'dty' => 'Doteli',
	'el-cy' => 'Cypriot Greek', # used by Wikidata, T198674
	'eml' => 'Emiliano-Romagnolo',
	'ett' => 'Etruscian',
	'eya' => 'Eyak',
	'fkv' => 'Kvensk',
	'fos' => 'Siraya',
	'fuf' => 'Pular',
	'gan-hans' => 'Gan (Simplified)',
	'gan-hant' => 'Gan (Traditional)',
	'gcr' => 'Guianan Creole',
	'gmy' => 'Mycenaean Greek',
	'gom-deva' => 'Goan Konkani (Devanagari script)',
	'gom-latn' => 'Goan Konkani (Latin script)',
	'haz' => 'Hazaragi',
	'hbo' => 'Biblical Hebrew', # used by Wikidata, T155368
	'hif-latn' => 'Fiji Hindi (Latin script)',
	'hyw' => 'Western Armenian',
	'ike-cans' => 'Eastern Canadian (Aboriginal syllabics)',
	'ike-latn' => 'Eastern Canadian (Latin script)',
	'kbd-cyrl' => 'Kabardian (Cyrillic script)',
	'kbp' => 'Kabiye',
	'kjh' => 'Khakas',
	'kjp' => 'Eastern Pwo',
	'kk-cn' => 'Kazakh (China)',
	'kk-kz' => 'Kazakh (Kazakhstan)',
	'kk-tr' => 'Kazakh (Turkey)',
	'kk-arab' => 'Kazakh (Arabic script)',
	'kk-cyrl' => 'Kazakh (Cyrillic script)',
	'kk-latn' => 'Kazakh (Latin script)',
	'kld' => 'Gamilaraay', # used by Wikidata, T198366
	'knn' => 'Maharashtrian Konkani',
	'ko-kp' => 'Korean (North Korea)',
	'koy' => 'Koyukon',
	'ks-arab' => 'Kashmiri (Arabic script)',
	'ks-deva' => 'Kashmiri (Devanagari script)',
	'ku-arab' => 'Kurdish (Arabic script)',
	'ku-latn' => 'Kurdish (Latin script)',
	'lbe' => 'Lak',
	'lcm' => 'Tungag', # used by Wikidata, T234761
	'lki' => 'Laki',
	'lld' => 'Ladin',
	'luz' => 'Southern Luri',
	'mfa' => 'Kelantan-Pattani Malay', # used by Wikidata, T235468
	'mhr' => 'Eastern Mari',
	'mid' => 'Mandaic',
	'mis' => 'Unsupported language',
	'mo' => 'Moldovan',
	'moe' => 'Innu',
	'mnw' => 'Mon',
	'mui' => 'Musi',
	'nod' => 'Northern Thai',
	'nrf-gg' => 'Guernésiais', # used by Wikidata T165648
	'nrf-je' => 'Jèrriais', # used by Wikidata T165648
	'nrm' => 'Norman',
	'nsk' => 'Naskapi', # used by Wikidata T250246
	'nxm' => 'Numidian',
	'nys' => 'Nyungar', # used by Wikidata, added in InitialiseSettings.php
	'olo' => 'Livvi-Karelian',
	'ood' => "O'odham",
	'otk' => 'Old Turkish',
	'pi-sidd' => 'Pali (Siddham script)', # used by Wikidata T230881
	'pjt' => 'Pitjantjatjara',
	'pnb' => 'Western Punjabi',
	'ppu' => 'Papora-Hoanya',
	'pwn' => 'Paiwan',
	'pyu' => 'Puyuma',
	'prs' => 'Dari',
	'qya' => 'Quenya', # used by Wikidata, T185194
	'rm-puter' => 'Putèr',
	'rm-rumgr' => 'Rumantsch Grischun',
	'rm-surmiran' => 'Surmiran',
	'rm-sursilv' => 'Sursilvan',
	'rm-sutsilv' => 'Sutsilvan',
	'rm-vallader' => 'Vallader',
	'rmc' => 'Carpathian Romani', # T223524
	'rmf' => 'Finnish Kalo', # T223524
	'rmg' => 'Traveller Norwegian', # T223524
	'rml' => 'Baltic Romani', # T223524
	'rmn' => 'Balkan Romani', # T223524
	'rmo' => 'Sinte Romani', # T223524
	'rmw' => 'Welsh-Romani', # T223524
	'rmy' => 'Vlax Romani', # T223524
	'roa-rup' => 'Aromanian',
	'roa-tara' => 'Tarantino',
	'ruq' => 'Megleno-Romanian',
	'ruq-cyrl' => 'Megleno-Romanian (Cyrillic script)',
	'ruq-grek' => 'Megleno-Romanian (Greek script)',
	'ruq-latn' => 'Megleno-Romanian (Latin script)',
	'rwr' => 'Marwari (India)',
	'sa-sidd' => 'Sanskrit (Siddham script)', # used by Wikidata T230881
	'sia' => 'Akkala Sámi', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'shi-latn' => 'Tachelhit (Latin script)',
	'shi-tfng' => 'Tachelhit (Tifinagh script)',
	'shy' => 'Shawiya',
	'shy-arab' => 'Shawiya (Arabic script)',
	'shy-latn' => 'Shawiya (Latin script)',
	'shy-tfng' => 'Shawiya (Tifinagh script)',
	'sjd' => 'Kildin Sami',
	'sje' => 'Pite Sami',
	'sjk' => 'Kemi Sámi', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjn' => 'Sindarin', # used by Wikidata, T185194
	'sjt' => 'Ter Sámi', # used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sju' => 'Ume Sami',
	'skr' => 'Saraiki',
	'skr-arab' => 'Saraiki (Arabic script)',
	'sr-ec' => 'Serbian (Cyrillic script)',
	'sr-el' => 'Serbian (Latin script)',
	'srq' => 'Sirionó', # used by Wikidata, added in InitialiseSettings.php
	'ssf' => 'Thao',
	'tg-cyrl' => 'Tajik (Cyrillic script)',
	'tg-latn' => 'Tajik (Latin script)',
	'tlb' => 'Tobelo',
	'tt-cyrl' => 'Tatar (Cyrillic script)',
	'tt-latn' => 'Tatar (Latin script)',
	'tnq' => 'Taíno', # used by Wikidata T220284
	'tzl' => 'Talossan',
	'ug-arab' => 'Uyghur (Arabic script)',
	'ug-latn' => 'Uyghur (Latin script)',
	'umu' => 'Munsee',
	'uun' => 'Pazeh',
	'uz-cyrl' => 'Uzbek (Cyrillic script)',
	'uz-latn' => 'Uzbek (Latin script)',
	'wls' => 'Wallisian', # used by Wikidata, T239411
	'xpu' => 'Punic',
	'xsy' => 'Saisiyat',
	'ydd' => 'Eastern Yiddish',
	'zh-classical' => 'Classical Chinese',
	'zh-cn' => 'Chinese (China)',
	'zh-hk' => 'Chinese (Hong Kong)',
	'zh-min-nan' => 'Chinese (Min Nan)',
	'zh-mo' => 'Chinese (Macau)',
	'zh-my' => 'Chinese (Malaysia)',
	'zh-sg' => 'Chinese (Singapore)',
	'zh-tw' => 'Chinese (Taiwan)',
	'zh-yue' => 'Cantonese', # language redirect

	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'mul' => 'multiple languages',
	'und' => 'unknown language',
	'zxx' => 'no linguistic content',
];
