<?php

$languageNames = [

	/* Not in CLDR 27.0.1. Balochi language
	 * https://www.ethnologue.com/language/bcc
	 * Added 2008-07-02.
	 */
	'bcc' => '南バローチー語',

	/* Not in CLDR 27.0.1. Name used by Ethnologue:
	 * https://www.ethnologue.com/language/bgn
	 * Added 2015-01-18.
	 */
	'bgn' => '西バローチー語',

	/* Not in CLDR 27.0.1. Eastern Balochi language
	 * https://www.ethnologue.com/language/bgp
	 */
	'bgp' => '東バローチー語',

	/* Not in CLDR 27.0.1. Western Cham language
	* https://www.ethnologue.com/language/cja
	*/
	'cja' => '西部チャム語',
	'cja-cham' => '西部チャム語(チャム文字)',
	'cja-latn' => '西部チャム語(ラテン文字)',
	'cja-arab' => '西部チャム語(アラビア文字)',

	/* Not in CLDR 27.0.1. Eastern Cham language
	* https://www.ethnologue.com/language/cjm
	*/
	'cjm' => '東部チャム語',
	'cjm-cham' => '東部チャム語(チャム文字)',
	'cjm-latn' => '東部チャム語(ラテン文字)',
	'cjm-arab' => '東部チャム語(アラビア文字)',

	/* Not in CLDR 27.0.1. Jinyu language
	 * https://www.ethnologue.com/language/cjy
	 */
	'cjy' => '晋語',
	'cjy-hans' => '晋語(簡体字)',
	'cjy-hant' => '晋語(繁体字)',

	/* Not in CLDR 27.0.1. Swedish language
	 * https://www.ethnologue.com/language/dlc
	 * Added 2008-02-16.
	 */
	// 'dlc' => 'Dalecarlian',

	/* Not in CLDR 27.0.1. Romance language.
	 * https://www.ethnologue.com/language/eml
	 * Added 2008-01-17.
	 */
	'eml' => 'エミリア・ロマーニャ語',

	/* Not in CLDR 27.0.1. Konkani language
	 * https://www.ethnologue.com/language/gom
	 * Added 2008-09-02.
	 */
	'gom-deva' => 'ゴア・コンカニ語(デーバナーガリー文字)',
	'gom-latn' => 'ゴア・コンカニ語(ラテン文字)',

	/* Not in CLDR 27.0.1. Maharashtrian Konkani language
	 * https://www.ethnologue.com/language/knn
	 */
	'knn' => 'マラーティーコンカニ語',

	/* Not in CLDR 27.0.1. Laki language
	 * https://www.ethnologue.com/language/lki
	 */
	'lki' => 'ラーク語',

	/* Not in CLDR 27.0.1. Northern Luri language
	 * https://www.ethnologue.com/language/lrc
	 */
	'lrc' => '北ロル語',

	/* Not in CLDR 27.0.1. Southern Luri language
	 * https://www.ethnologue.com/language/luz
	 */
	'luz' => '南ロル語',

	/* Not in CLDR 27.0.1. Mari language
	 * https://www.ethnologue.com/language/mhr
	 * Added 2008-05-22.
	 */
	'mhr' => '東部マリ語',

	/* Not in CLDR 27.0.1. Malay language
	 * https://www.ethnologue.com/language/mui
	 * Added 2010-02-11.
	 */
	// 'mui' => 'Musi',

	/* Not in CLDR 27.0.1. Lahnda language.
	 * https://www.ethnologue.com/language/pnb
	 * Added 2008-10-29.
	 */
	// 'pnb' => 'Western Punjabi',

	/* Not in CLDR 27.0.1. Dari language.
	 * https://www.ethnologue.com/language/prs
	 */
	'prs' => 'ダリー語',

	/* Not in CLDR 27.0.1. Eastern Romance language.
	 * https://www.ethnologue.com/language/ruq
	 * Added 2008-02-04.
	 */
	// 'ruq' => 'Megleno-Romanian',
	// 'ruq-cyrl' => 'Megleno-Romanian (Cyrillic script)',
	// 'ruq-grek' => 'Megleno-Romanian (Greek script)',
	// 'ruq-latn' => 'Megleno-Romanian (Latin script)',

	/* Not in CLDR 27.0.1. Shawiya language
	 * https://www.ethnologue.com/language/shy
	 */
	'shy' => 'シャウィーア語',
	'shy-arab' => 'シャウィーア語(アラビア文字)',
	'shy-latn' => 'シャウィーア語(ラテン文字)',
	'shy-tfng' => 'シャウィーア語(ティフナグ文字)',

	/* Not in CLDR 27.0.1. Used for MediaWiki localisation
	 */
	'bat-smg' => 'サモギティア語',
	// 'be-tarask' => 'Belarusian (Taraškievica orthography)',
	'cdo' => '閩東語',
	// 'crh-cyrl' => 'Crimean Tatar (Cyrillic script)',
	// 'crh-latn' => 'Crimean Tatar (Latin script)',
	// 'de-formal' => 'German (formal address)',
	// 'gan-hans' => 'Simplified Gan script',
	// 'gan-hant' => 'Traditional Gan script',
	'glk' => 'ギラキ語',
	'got' => 'ゴート語',
	// 'hif-latn' => 'Fiji Hindi (Latin script)',
	// 'ike-cans' => 'Eastern Canadian (Aboriginal syllabics)',
	// 'ike-latn' => 'Eastern Canadian (Latin script)',
	// 'kk-cn' => 'Kazakh (China)',
	// 'kk-kz' => 'Kazakh (Kazakhstan)',
	// 'kk-tr' => 'Kazakh (Turkey)',
	// 'kk-arab' => 'Kazakh (Arabic script)',
	// 'kk-cyrl' => 'Kazakh (Cyrillic script)',
	// 'kk-latn' => 'Kazakh (Latin script)',
	// 'ks-arab' => 'Kashmiri (Arabic script)',
	// 'ks-deva' => 'Kashmiri (Devanagari script)',
	// 'ku-latn' => 'Kurdish (Latin script)',
	'nds-nl' => 'オランダ低ザクセン語',
	'roa-rup' => 'アルーマニア語',
	'roa-tara' => 'タラント語',
	// 'sr-ec' => 'Serbian (Cyrillic script)',
	// 'sr-el' => 'Serbian (Latin script)',
	// 'tg-cyrl' => 'Tajik (Cyrillic script)',
	// 'tg-latn' => 'Tajik (Latin script)',
	// 'tt-cyrl' => 'Tatar (Cyrillic script)',
	// 'tt-latn' => 'Tatar (Latin script)',
	// 'ug-arab' => 'Uyghur (Arabic script)',
	// 'ug-latn' => 'Uyghur (Latin script)',
	// 'ydd' => 'Eastern Yiddish',
	'zh-classical' => '漢文',
	'zh-cn' => '中国語（中国）',
	'zh-hk' => '中国語（香港）',
	'zh-min-nan' => '閩南語',
	'zh-sg' => '中国語（シンガポール）',
	'zh-tw' => '中国語（台湾）',
	'zh-yue' => '広東語', # language redirect

	/* additional list from Japanese Wikipedia */
	'als' => 'アレマン語',
	'be-x-old' => 'ベラルーシ語（タラシケヴィツァ）',
	'cbk-zam' => 'チャバカノ語',
	'bcl' => 'ビコール語',
	'bxr' => 'ブリヤート語',
	'diq' => 'ザザキ語',
	'fiu-vro' => 'ヴォロ語',
	'lbe' => 'ラク語',
	'map-bms' => 'バニュマス語',
	'nrm' => 'ノルマン語',
	'pih' => 'ノーフォーク語・ピトケアン語',
	'rmy' => 'ロマ語',
	'simple' => 'シンプル英語',
	'tokipona' => 'トキポナ',
];
